# pydicom.values.convert_AE_string

pydicom.values.convert_AE_string(byte_string: bytes, is_little_endian: bool, struct_format: str | None = None) → str | MutableSequence[str]

  Return a decoded ‘AE’ value.

  Elements with VR of ‘AE’ have non-significant leading and trailing spaces.

  Parameters:

    - byte_string (bytes) – The encoded ‘AE’ element value.

    - is_little_endian (bool) – `True` if the value is encoded as little endian, `False` otherwise.

    - struct_format (str, optional) – Not used.

  Returns:

    The decoded ‘AE’ value without non-significant spaces.

  Return type:

    str